Cannoli_2.12: CLI 0.10.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- Bwa
- BwaArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndStar
- SingleEndStarArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# BwaArgs 

###

#### class BwaArgs extends cannoli.BwaArgs with ADAMSaveAnyArgs with ParquetArgs

Bwa command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.BwaArgs, ReadGroupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BwaArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BwaArgs
7. ReadGroupArgs
8. Args4jBase
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new BwaArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     BwaArgs
5.  var asFragments: Boolean
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  var asSingleFile: Boolean
   Definition Classes
     BwaArgs → ADAMSaveAnyArgs
8.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
11.  def createReadGroup(): ReadGroup
    Definition Classes
      ReadGroupArgs
12.  var deferMerging: Boolean
    Definition Classes
      BwaArgs → ADAMSaveAnyArgs
13.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
14.  var disableFastConcat: Boolean
    Definition Classes
      BwaArgs → ADAMSaveAnyArgs
15.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  var executable: String
    Definition Classes
      BwaArgs
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  var flowOrder: String
    Definition Classes
      ReadGroupArgs
21.  var forceLoadIfastq: Boolean
22.  var forceLoadParquet: Boolean
23.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  var image: String
    Definition Classes
      BwaArgs
26.  var indexPath: String
    Definition Classes
      BwaArgs
27.  var inputPath: String
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  var keySequence: String
    Definition Classes
      ReadGroupArgs
30.  var library: String
    Definition Classes
      ReadGroupArgs
31.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  var outputPath: String
    Definition Classes
      BwaArgs → SaveArgs
36.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
37.  var platform: String
    Definition Classes
      ReadGroupArgs
38.  var platformModel: String
    Definition Classes
      ReadGroupArgs
39.  var platformUnit: String
    Definition Classes
      ReadGroupArgs
40.  var predictedMedianInsertSize: Integer
    Definition Classes
      ReadGroupArgs
41.  var readGroup: ReadGroup
    Definition Classes
      ReadGroupArgs
42.  var readGroupId: String
    Definition Classes
      ReadGroupArgs
43.  var runDate: Long
    Definition Classes
      ReadGroupArgs
44.  var sampleId: String
    Definition Classes
      ReadGroupArgs
45.  var sequenceDictionary: String
46.  var sequencingCenter: String
    Definition Classes
      ReadGroupArgs
47.  var sortFastqOutput: Boolean
    Definition Classes
      BwaArgs → ADAMSaveAnyArgs
48.  var stringency: String
49.  var sudo: Boolean
    Definition Classes
      BwaArgs
50.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
51.  def toString(): String
    Definition Classes
      AnyRef → Any
52.  var useDocker: Boolean
    Definition Classes
      BwaArgs
53.  var useSingularity: Boolean
    Definition Classes
      BwaArgs
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.BwaArgs

### Inherited from ReadGroupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped